I'm having "version mismatch" issues I have uninstalled and reinstalled and that didn't help and the trouble shoot link won't work either so i don't know what to do.